<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700;900&display=swap"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
    />
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200"
    />
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css2?family=Inter&display=swap"
    />
    <link rel="stylesheet" href="../admin views/css/home.css" />
    <link rel="stylesheet" href="../admin views/css/admin_responsive.css">
    <link rel="stylesheet" href="../admin views/css/admin_sidebar.css">
  </head>
  <body>
    <main class="main">
      <aside class="sidebar">
        <nav class="nav">
          <ul>
            <a href="/adminhome" class="logo img">
              <img
                src="../admin views/img/MLBB_LOGO_Mesa de trabajo 1_Mesa de trabajo 1 2.svg"
              />
            </a>

            <li class="active">
              <a href="/adminhome"
                ><span
                  class="material-symbols-outlined"
                  style="font-size: 1.7em; transform: translateY(0.5rem)"
                >
                  overview_key
                </span>
                Tournaments</a
              >
            </li>
          </ul>
        </nav>
        <a href="/tournamentLogin"><button class="logout">
          <span
            class="material-symbols-outlined"
            style="transform: translateY(0.1rem)"
          >
            logout
          </span>
          Logout
        </button></a>
      </aside>

      <section class="content">
        <div class="header">
            <h2>Overview</h2>
        </div>
        <div class="contents">
            <h3>Tournaments</h3>
            <div class="line-1"></div>
        </div>
        <div class="edit">
            <i id="editIcon" class="fas fa-edit" style="font-style: 'Inter', sans-serif;">Add New</i>
        </div>
    
        <div class="home-section-wrapper"></div>
    
        <div id="popup" style="display: none">
          <div class="popup1">

            <div class="close">
              <span id="closeIcon" class="fas fa-times"></span>
            </div>
            <label for="photo">Photo:</label>
            <input type="file" id="photo" name="photo" />
            
            <label for="tournamentName">Tournament Name:</label>
            <input type="text" id="tournamentName" name="tournamentName" />
            
            <label for="duration">Duration:</label>
            <input type="text" id="durations" name="duration" />
            
            <label for="date">Date:</label>
            <input type="date" id="date" name="date" />
            <button id="nextBtn">Next</button>
            
            
          </div>
            
            <div id="popup2" style="display: none">
              <div class="close">
                  <span id="closeIcon2" class="fas fa-times"></span>
              </div>
              <label for="price">Price:</label>
              <input type="text" id="price" name="price" />
      
              <label for="description">Description:</label>
              <textarea id="description" name="description"></textarea>
      
              <label for="tournamentType">Type of Tournament:</label>
              <select id="tournamentType" name="tournamentType">
                  <option value="single">Single Elimination</option>
                  <option value="double">Double Elimination</option>
                  <option value="round-robin">Round Robin</option>
              </select>
      
              <button id="saveBtn">Save</button>
          </div>



        </div>
    
        
    
        <div class="container">
            <!-- <div class="card">
                <div class="imgWrapper">
                    <img src="/img/image 11.svg" alt="" >
                </div>
                <div class="cardContent">
                    <h2>Block Tournament</h2>
                    <div class="cardDetails">
                        <p>Status: <span>Ongoing</span></p>
                        <p>Teams: 16 Teams</p>
                        <p>Date: 31st April</p>
                        <p>Duration: 2 Weeks</p>
                    </div>
                    <div class="linkWrapper">
                        <a href="/html/overview.html" style="color: green; text-decoration: none;">View Details</a>
                    </div>
                    
                </div>
            </div> -->
                   
        </div>
    </section>
    
    </main>
  </body>
  <script>
           document.addEventListener("DOMContentLoaded", function () {
        var editIcon = document.getElementById("editIcon");
        var popup = document.getElementById("popup");
        var closeIcon = document.getElementById("closeIcon");

        editIcon.addEventListener("click", function () {
          popup.style.display = "block";
        });

        closeIcon.addEventListener("click", function () {
          popup.style.display = "none";
        });

        document.getElementById("nextBtn").addEventListener("click", function() {
          var popup2 = document.getElementById("popup2");
          var popup1 = document.querySelector('.popup1')
          popup2.style.display = "block"; 
          popup1.style.display = "none"; 
        });
      });
  </script>
  <script
    src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.6.8/axios.min.js"
    integrity="sha512-PJa3oQSLWRB7wHZ7GQ/g+qyv6r4mbuhmiDb8BjSFZ8NZ2a42oTtAq5n0ucWAwcQDlikAtkub+tPVCw4np27WCg=="
    crossorigin="anonymous"
    referrerpolicy="no-referrer"
  ></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/izitoast/dist/css/iziToast.min.css">
  <script src="https://cdn.jsdelivr.net/npm/izitoast/dist/js/iziToast.min.js"></script>
  <script src="../admin views/js/izittoast.js"></script>
  <script type="module" src="../admin views/js/home.js"></script>
</html>
